<?php
	// Do not access this file directly
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) { die (__('Please do not load this page directly. Thanks!')); }

	// Password Protection
	if (!empty($post->post_password)) { if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {
?>

	<p class="nopassword"><?php _e('This post is password protected. Enter the password to view comments.'); ?></p>

<?php return; } } ?>


	<div class="comments">
<a name="leavecomments"></a>
		<h4><?php printf(__('%1$s %2$s to &#8220;%3$s&#8221;'), '<span id="comments">' . get_comment_type_count('comment') . '</span>', (1 == $post->comment_count) ? __('Reply'): __('Replies'), the_title('', '', false)); ?></h4><br />

		<div class="metalinks">
			<span class="commentsrsslink"><?php comments_rss_link(__('Feed for this Entry')); ?></span>
			<?php if ('open' == $post->ping_status) { ?><span class="trackbacklink"><a href="<?php trackback_url(); ?>" title="<?php _e('Copy this URI to trackback this entry.'); ?>"><?php _e('Trackback Address'); ?></a></span><?php } ?>
		</div>

<hr />
<?php if ( ($post->comment_count > 0) and ('open' == $post->comment_status) ) { ?>
	<ol id="commentlist">
		<?php foreach ($comments as $comment) : ?>
		<?php $comment_type = get_comment_type(); ?>
			<?php if($comment_type == 'comment') { ?>
			<li id="comment-<?php comment_ID(); ?>" class="comments">
				<?php if (!empty( $comment->comment_author_email )) {
					if (function_exists('get_avatar')) {
						$email = get_comment_author_email();
						echo get_avatar($email, '60'); 
					} else {
						$email = get_comment_author_email();
						$encem = md5($email);
						$default = '';
						$size = 60;
						$grav_url = "http://www.gravatar.com/avatar.php?gravatar_id=" . $encem . "&amp;default=" . urlencode($default) . "&amp;size=".$size;
						echo "<img class='gravatar' src='$grav_url' alt='' />";
						}
					} ?>
			<a href="#comment-<?php comment_ID(); ?>" class="counter" title="<?php _e('Permanent Link to this Comment'); ?>"><?php echo $comment_index; ?></a>
			<span class="commentauthor"><?php comment_author_link(); ?></span>
			<div style="margin-top:2px;padding-top:2px;">
				<span class="postdetail"><?php comment_date('d M Y'); ?></span> &#149; <span class="postdetailtime"><?php comment_time('h:i A'); ?></span><?php if (function_exists('quoter_comment')) { _e(' &#149; '); quoter_comment(); } ?>
			</div>
			<div class="comment-content">
				<?php comment_text(); ?> 
			</div>
			<?php if ('0' == $comment->comment_approved) { ?><p class="alert"><strong><?php _e('Your comment is awaiting moderation.'); ?></strong></p><?php } ?>
			</li>
			<?php } ?>
		<?php endforeach; ?>
	</ol> <!-- END #commentlist -->
<?php }  /* End of is_comment statement */ ?>

		<?php /* Comments open, but empty */ if ( ($post->comment_count < 1) and ('open' == $post->comment_status) ) { ?> 
		<ol id="blanklist">
			<li id="leavecomment">
				<?php _e('Comments may not appear until approved.'); ?>
			</li>
		</ol>
		<?php } ?>
		
	</div> <!-- END .comments 1 -->
		
<br />

<?php if(count($comment_type) > 0) { ?>
	<ol id="pinglist">
		<?php foreach ($comments as $comment) : ?>
		<?php $comment_type = get_comment_type(); ?>
			<?php if ($comment_type != 'comment') { ?>
				<li><?php comment_author_link() ?><br /><span class="small"><?php comment_date('d M Y &#149; h:i A'); ?></span></li>
			<?php } ?>
		<?php endforeach; ?>
	</ol>
<?php } ?>
<br />
	<?php /* Reply Form */ if ('open' == $post->comment_status) { ?>

	<div class="comments">
		<h4 id="respond" class="reply"><?php _e('Leave a Reply'); ?></h4>
		
		<?php if (get_option('comment_registration') and !$user_ID) { ?>
		
			<p><?php printf(__('You must <a href="%s">login</a> to post a comment.'), get_option('siteurl') . '/wp-login.php?redirect_to=' . get_permalink()); ?></p>
		
		<?php } else { ?>

			<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

			<?php
				if ($user_ID) {
			?>
			<p class="comment-login"><?php printf(__('Logged in as %s.'), '<a href="'.get_option('siteurl').'/wp-admin/profile.php">'.$user_identity.'</a>'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out of this account'); ?>"><?php _e('Logout'); ?> &raquo;</a></p>
	
			<?php } else { ?>
			
			<div id="comment-personaldetails">
				<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
				<label for="author"><strong><?php _e('Name'); ?></strong> <?php if ($req) _e('(required)') ?></label></p>
					
				<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
				<label for="email"><strong><?php _e('Mail'); ?></strong> (<?php _e('will not be published'); ?>) <?php if ($req) _e('(required)') ?></label></p>
					
				<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
				<label for="url"><strong><?php _e('Website'); ?></strong></label></p>			
			</div>
			<?php } ?>

				<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"><?php if (function_exists('quoter_comment_server')) { quoter_comment_server(); } ?></textarea></p>
		
				<p><?php if (function_exists('quoter_page')) { quoter_page(); } ?></p>

				<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit'); ?>" />
				<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" /></p>
				
				<div class="clear"></div>

				<?php do_action('comment_form', $post->ID); ?>

			</form>
		<?php } // If registration required and not logged in ?>
	</div> <!-- END .comments #2 -->
<?php } // comment_status ?>