<?php if (is_404()) { header("HTTP/1.1 404 Not Found"); } ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title>
	<?php if (is_home()) { 
		bloginfo('description'); 
	} else { 
		wp_title('&raquo;', true, 'right'); 
		 
		bloginfo('name'); 
	} ?>
</title>

	<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->
 	<meta name="description" content="<?php bloginfo('description'); ?>" />
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom" href="<?php bloginfo('atom_url'); ?>" />
	<?php if (is_single() or is_page()) { ?>
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php } ?>
	<!-- tabs -->
	<link id="webfx-tab-style-sheet" type="text/css" rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/tab.webfx.css" />
	<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/tabpane.js"></script>
	<!-- /tabs -->
	<?php wp_head(); ?>	
	<?php wp_get_archives('type=monthly&format=link'); ?>
</head>

<body>
<div id="page">
  <div id="header">
	<h1><a href="<?php echo get_settings('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
		<p class="description"><?php bloginfo('description'); ?></p>

		<ul class="menu">
		<li class="<?php if ( is_home() or is_archive() or is_single() or is_paged() or is_search() ) { ?>current_page_item<?php } else { ?>page_item<?php } ?>"><a href="<?php bloginfo('home'); ?>/" title="<?php bloginfo('name'); ?> : <?php bloginfo('description'); ?>">Home</a></li>
		<?php wp_list_pages('sort_column=menu_order&depth=1&title_li='); ?>
		<?php wp_register('<li class="admintab">','</li>'); ?>
		</ul>

  </div> <!-- /header -->