<?php get_header(); ?>

<div id="top">
	<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); ?>
		<div class="navigation">
			<p class="alignleft"><?php previous_post('&laquo; %','','yes') ?></p>
			<p class="alignright"><?php next_post(' % &raquo;','','yes') ?></p>
		</div>
<br />
			<div style="clear:both;"></div>
		<div id="post-<?php the_ID(); ?>" class="post">
			<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>

				<span class="postdetail"><?php the_time('d M Y'); ?></span> &#149; <span class="postdetailtime"><?php the_time('h:i A'); ?></span> &#149; <span class="postdetailtag"><?php the_category(', '); ?></span> <?php edit_post_link(__('Edit'), '<span class="entry-edit">','</span>'); ?>

			<div class="postcontent">
				<?php the_content('More after the jump...'); ?>
			</div> <!-- /postcontent -->

		</div> <!-- /post-ID -->

<div><?php if (function_exists('the_tags')) { the_tags(); } ?></div>
<div><?php if (function_exists('the_techtags')) { the_techtags(); } ?></div>
<br />
<!--
<?php trackback_rdf(); ?>
-->

<!-- Begin Proper Comments Notification and Display -->
		<?php /* Comments empty */ if ( ($post->comment_count < 1) ) { ?> 
				<?php /* Comments open */ if ( ('open' == $post->comment_status) ) { ?>
					<?php comments_template(); ?>
				<?php } ?>

		<?php } else { ?>
		<?php comments_template(); ?>
		<?php } ?>
<!-- End Proper Comments Notification and Display -->

	<?php endwhile; ?>

	<?php else : ?>

		<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p>

	<?php endif; ?>
<div style="clear:both;"></div>

</div> <!-- /top -->

<?php get_footer(); ?>